### Function

# Phosh shell_set_state

since: 0

#### Declaration [src]

    void
    phosh_shell_set_state (
      PhoshShell* self,
      PhoshShellStateFlags state,
      gboolean enabled
    )

#### Description [src]

Set the shells state.

Available since: 0

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `PhoshShell*`

  The shell.

  The data is owned by the caller of the function.

`state`

  Type: `PhoshShellStateFlags`

  The `PhoshShellStateFlags` to set.

`enabled`

  Type: `gboolean`

  `TRUE` to set a shell state, `FALSE` to reset.